/** -------------------------------------------------------------------
  *                        Tile map for caa-game
  *                       Index for tilemap file
  *
  *                         0. transparent tile
  *                         1. Corner top-left
  *                   2. normal top wall middle piece
  *                     3. Corner top -> left wall
  *                           4. Left wall
  *                      5. top wall before corner
  *                     6. corner top -> right wall
  *                     7. normal right wall piece
  *                       8. Corner right -> top
  *                      9. Corner right -> bottom
  *                    10. bottom wall piece before 8.
  *                    11. normal bottom wall piece
  *                      12. Corner right -> bottom
  *                      13. Corner bottom -> right
  *                      14. Corner left -> bottom
  *                   15. Bottom wall piece after 14.
  *                      16. Corner left -> bottom
  *                        17. Normal floor tile
  *                        18. +-shaped floor tile
  *                    19. Heavily cracked floor tile
  *                    20. Lightly cracked floor tile
  *                        21. Normal brick wall 1
  *                        22. Normal brick wall 2
  *                        23. Normal brick wall 3
  *                        24. blood brick wall 1
  *                        25. blood brick wall 2
  *                        26. blood brick wall 3
  *                     27. light vines brick wall 1
  *                     28. light vines brick wall 2
  *                     29. light vines brick wall 3
  *                     30. heavy vines brick wall 1
  *                     31. heavy vines brick wall 2
  *                     32. heavy vines brick wall 3
  *                            33. Chest closed
  *                            34. Chest opened
  *                               35. Rock 1
  *                               36. Rock 2
  *                                37. door
  *                   38. Ladder (should be over wall)
  *                               39. Torch
  *                             40. Staircase
  *                           41. Reppelant pill
  *                             42. Heart icon
  *                              43. Key icon
  *                           44. Stamina filled
  *                            45. Stamina empty
  *                              46. Fireball
  *                               47. Door_s
  *                   48. Corner bottom -> left after 16
  *                  49. Corner right -> bottom before 13
  *                     50. bottom piece underneath 47
  *                     51. Transparent tile (walkable)
  *                       52. top-piece after corner (1)
  *                             53. Sign on wall
------------------------------------------------------------------- */
module.exports = [
  {
    x: 0,
    y: 256,
    walkable: false
  },
  {
    x: 0,
    y: 0,
    walkable: false
  },
  {
    x: 32,
    y: 0,
    walkable: false
  },
  {
    x: 64,
    y: 0,
    walkable: false
  },
  {
    x: 96,
    y: 0,
    walkable: false
  },
  {
    x: 128,
    y: 0,
    walkable: false
  },
  {
    x: 0,
    y: 32,
    walkable: false,
  },
  {
    x: 32,
    y: 32,
    walkable: false,
  },
  {
    x: 64,
    y: 32,
    walkable: false,
  },
  {
    x: 96,
    y: 32,
    walkable: false,
  },
  {
    x: 128,
    y: 32,
    walkable: false,
  },
  {
    x: 0,
    y: 64,
    walkable: false
  },
  {
    x: 32,
    y: 64,
    walkable: false
  },
  {
    x: 64,
    y: 64,
    walkable: false
  },
  {
    x: 96,
    y: 64,
    walkable: false
  },
  {
    x: 128,
    y: 64,
    walkable: false
  },
  {
    x: 0,
    y: 96,
    walkable: false
  },
  {
    x: 32,
    y: 96,
    walkable: true
  },
  {
    x: 64,
    y: 96,
    walkable: true
  },
  {
    x: 96,
    y: 96,
    walkable: true
  },
  {
    x: 128,
    y: 96,
    walkable: true
  },
  {
    x: 0,
    y: 128,
    walkable: false
  },
  {
    x: 32,
    y: 128,
    walkable: false
  },
  {
    x: 64,
    y: 128,
    walkable: false
  },
  {
    x: 96,
    y: 128,
    walkable: false
  },
  {
    x: 128,
    y: 128,
    walkable: false
  },
  {
    x: 0,
    y: 160,
    walkable: false
  },
  {
    x: 32,
    y: 160,
    walkable: false
  },
  {
    x: 64,
    y: 160,
    walkable: false
  },
  {
    x: 96,
    y: 160,
    walkable: false
  },
  {
    x: 128,
    y: 160,
    walkable: false
  },
  {
    x: 0,
    y: 192,
    walkable: false
  },
  {
    x: 32,
    y: 192,
    walkable: false
  },
  {
    x: 64,
    y: 192,
    walkable: false
  },
  {
    x: 96,
    y: 192,
    walkable: false
  },
  {
    x: 128,
    y: 192,
    walkable: false
  },
  {
    x: 0,
    y: 224,
    walkable: false
  },
  {
    x: 32,
    y: 224,
    walkable: false
  },
  {
    x: 64,
    y: 224,
    walkable: false
  },
  {
    x: 96,
    y: 224,
    walkable: false
  },
  {
    x: 128,
    y: 224,
    walkable: false
  },
  {
    x: 32,
    y: 256,
    walkable: false
  },
  {
    x: 64,
    y: 256,
    walkable: false
  },
  {
    x: 96,
    y: 256,
    walkable: false
  },
  {
    x: 128,
    y: 256,
    walkable: false
  },
  {
    x: 0,
    y: 288,
    walkable: false
  },
  {
    x: 32,
    y: 288,
    walkable: false
  },
  {
    x: 64,
    y: 288,
    walkable: true
  },
  {
    x: 96,
    y: 288,
    walkable: false
  },
  {
    x: 128,
    y: 288,
    walkable: false
  },
  {
    x: 0,
    y: 320,
    walkable: false
  },
  {
    x: 0,
    y: 256,
    walkable: true
  },
  {
    x: 32,
    y: 320,
    walkable: false
  },
  {
    x: 64,
    y: 320,
    walkable: false
  },
];