const tileSize = 32;

const text = require(__dirname + "/../../res/lang/default.js");
const TextBox = require(__dirname + "/../helpers/textbox.js");

let level = {
  tiles: [
    1, 2, 2, 2, 2, 2, 2, 2, 5, 6,
    4, 21, 28, 32, 30, 22, 32, 21, 22, 7,
    4, 17, 17, 17, 17, 19, 17, 17, 20, 7,
    4, 17, 18, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 19, 17, 7,
    4, 17, 17, 17, 17, 17, 18, 17, 17, 7,
    4, 17, 20, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 18, 17, 19, 17, 20, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 20, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 18, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 20, 17, 7,
    4, 19, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 18, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 19, 17, 18, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 20, 17, 17, 18, 17, 17, 17, 17, 7,
    14, 15, 11, 11, 11, 11, 11, 11, 10, 13
  ],
  size: {
    w: 10 * tileSize,
    h: 20 * tileSize
  },
  startPos: [
    { x: 5 * tileSize, y: 3 * tileSize }
  ],
  entities: [
    { 
      type: "Mage", 
      pos: { x: 4.5 * tileSize, y: 10 * tileSize }
    },
    { 
      type: "Chest", 
      pos: { x: 4.5 * tileSize, y: 17 * tileSize }, 
      action: (player, level) => { 
        level.textbox.add(new TextBox(text.game.keyFind));
        player.items.keys.push("1-4"); 
      } 
    },
    { 
      type: "Portal", 
      pos: { x: 5 * tileSize, y: tileSize }, 
      texture: "Door_n", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/1-2.js", pos: 1 }; 
      }, 
      key: ""
    },
    {
      type: "Rock",
      pos: { x: 4 * tileSize, y: 2 * tileSize },
      texture: "Big"
    },
    {
      type: "Rock",
      pos: { x: 6 * tileSize, y: 2 * tileSize },
      texture: "Small"
    },
    {
      type: "Rock",
      pos: { x: tileSize, y: 13 * tileSize },
      texture: "Big"
    },
    {
      type: "Rock",
      pos: { x: 8 * tileSize, y: 6 * tileSize },
      texture: "Big"
    }
  ]
};

module.exports = level;