const tileSize = 32;

const text = require(__dirname + "/../../res/lang/default.js");
const TextBox = require(__dirname + "/../helpers/textbox.js");

let level = {
  tiles: [
    1, 2, 5, 2, 5, 2, 5, 2, 5, 6,
    4, 24, 22, 23, 21, 22, 23, 21, 25, 7,
    4, 20, 17, 17, 17, 19, 17, 17, 17, 7,
    4, 18, 17, 19, 20, 17, 17, 17, 20, 7,
    4, 17, 17, 17, 17, 17, 17, 18, 17, 7,
    4, 17, 18, 17, 20, 17, 17, 17, 19, 7,
    14, 11, 11, 11, 11, 11, 11, 11, 11, 13,
  ],
  size: {
    w: 10 * tileSize,
    h: 7 * tileSize
  },
  startPos: [
    { x: 7 * tileSize, y: 2 * tileSize }
  ],
  entities: [
    { 
      type: "Portal", 
      pos: { x: 7 * tileSize, y: 1 * tileSize }, 
      texture: "Door_n", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/2-2.js", pos: 0 }; 
      }, 
      key: ""
    },
    {
      type: "Chest",
      pos: { x: 1 * tileSize, y: 2 * tileSize },
      action: (player, level) => { 
        level.textbox.add(new TextBox(text.game.keyFind));
        player.items.keys.push("2-3");
      }
    },
    {
      type: "Mage",
      pos: { x: 2 * tileSize, y: 3 * tileSize }
    },
  ]
};

module.exports = level;