const tileSize = 32;

const text = require(__dirname + "/../../res/lang/default.js");

let level = {
  tiles: [
    1, 2, 2, 2, 2, 2, 2, 2, 6,
    4, 21, 22, 23, 21, 22, 23, 21, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    14, 15, 11, 16, 47, 12, 11, 10, 13,
    0, 0, 0, 14, 50, 13, 0, 0, 0, 0, 
  ],
  size: {
    w: 9 * tileSize,
    h: 10 * tileSize
  },
  startPos: [
    { x: 5 * tileSize, y: 3 * tileSize }
  ],
  entities: [
    { 
      type: "Portal", 
      pos: { x: 4 * tileSize, y: 8 * tileSize }, 
      texture: "Door_s", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/3-1.js", pos: 0 }; 
      }, 
      key: "3-4"
    },
    { 
      type: "Portal", 
      pos: { x: 4 * tileSize, y: tileSize },
      texture: "Door_n", 
      action: (_player, level) => { 
        level.gameComplete = true;
      }, 
      key: "3-4"
    },
    {
      type: "Sign",
      pos: { x: 3 * tileSize, y: tileSize },
      text: text.game.signs["3-4"]
    }
  ]
};

module.exports = level;